<mat-card-content>
  <div class="main-content">
      <app-loading *ngIf="loadingDt"></app-loading>
      <div class="container-fluid">
          <div class="row">
              <div class="col-md-12">
                  <div class="card">
                      <div class="card-header card-header-primary card-header-icon">
                          <button mat-raised-button type="button" (click)="addUser()"
                          class="btn btn-primary btn-round btn-just-icon pull-right mt-3" 
                          matTooltip="Nueva Aplicacion" [matTooltipPosition]="'above'">
                              <span class="mat-button-wrapper"><i class="material-icons">add</i></span>
                          </button>
                          <h4 class="card-title ">Información de usuarios</h4>
                      </div>
                      <div class="card-body">
                          <div class="table-responsive">
                              <table datatable [dtOptions]="dtOptions" 
                              [dtTrigger]="dtTrigger" style="width:100%" 
                              class="table table-bordered table-striped responsive">
                                <thead>
                                  <tr>
                                    <th id="app">Usuarios</th>
                                  </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let user of users">
                                        <td>
                                          <div>
                                            Nombre: {{ user.name }} 
                                          </div>
                                          <div>
                                            Email: {{ user.email }} 
                                          </div>
                                          <button mat-raised-button class="btn btn-primary btn-sm"
                                        (click)="editUser(user)">Editar</button>
                                        <!-- <button mat-raised-button class="btn btn-danger btn-sm mat-button-base"
                                        (click)="deleteUser(user)"><i class="material-icons">delete</i> Eliminar</button>
                                        </td> -->
                                    </tr>
                                </tbody>
                              </table>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</mat-card-content>



